# image

The image type is an abstract data type for interfacing with the image creation program. More...

## Data Structures

struct | stp_image_t
| The image type is an abstract data type for interfacing with the image creation program. More...

## Defines

#define | STP_CHANNEL_LIMIT (32)

## Enumerations

enum | stp_image_status_t { STP_IMAGE_STATUS_OK, STP_IMAGE_STATUS_ABORT }
| Image status. More...

## Functions

void | stp_image_init (stp_image_t *image)
void | stp_image_reset (stp_image_t *image)
int | stp_image_width (stp_image_t *image)
int | stp_image_height (stp_image_t *image)
stp_image_status_t | stp_image_get_row (stp_image_t *image, unsigned char *data, size_t limit, int row)
const char * | stp_image_get_appname (stp_image_t *image)
void | stp_image_conclude (stp_image_t *image)

## Detailed Description

The image type is an abstract data type for interfacing with the image creation program.

## Define Documentation

#define STP_CHANNEL_LIMIT (32)

The maximum number of channels.

## Enumeration Type Documentation

enum stp_image_status_t

Image status.

Enumerator:

  STP_IMAGE_STATUS_OK | Everything is OK.
  STP_IMAGE_STATUS_ABORT | An error occured, or the job was aborted.

## Function Documentation

void stp_image_conclude | ( | stp_image_t * | image | ) |

const char* stp_image_get_appname | ( | stp_image_t * | image | ) |

stp_image_status_t stp_image_get_row | ( | stp_image_t * | image,
|  | unsigned char * | data,
|  | size_t | limit,
|  | int | row |
| ) |  |  |

int stp_image_height | ( | stp_image_t * | image | ) |

void stp_image_init | ( | stp_image_t * | image | ) |

void stp_image_reset | ( | stp_image_t * | image | ) |

int stp_image_width | ( | stp_image_t * | image | ) |